ARCHIVE-NMCDS(1)

NAME
archive-nmcds - maintain a local NCBI RefSeq human mRNA archive

SYNOPSIS
archive-nmcds [[-][re]index] [[-]clean|[-]clear|[-]scrub|[-]scour|[-]erase|[-]zap] [-ftp|-http[s]]

DESCRIPTION
archive-nmcds prepares a directory to hold a local NCBI RefSeq human mRNA archive, then downloads a full database dump from NCBI's servers, organizes the dump into an rchive(1) trie, and notes coding regions' offsets.

OPTIONS

[-][re]index
    Fully reindex, complete with an inverted index.

[-]clean|[-]clear
    Delete Indices contents and Increment files.

[-]scrub
    Delete Indices contents, Increment files, and Postings directories.

[-]scour
    Delete Indices contents, Increment files, and Postings, Data, Archive, and Sentinel directories.

[-]erase
    Delete Indices contents, Increment files, Postings, Data, Archive, and Sentinel directories, and Extras directory contents.

[-]zap
    Delete entire archive.

-ftp
    Download needed data via FTP (default).

-http[s]
    Download needed data via HTTPS.

ENVIRONMENT

EDIRECT_LOCAL_ARCHIVE
    Local archive directory to use; expected to hold an absolute path.

EDIRECT_LOCAL_WORKING
    Directory to hold intermediate subtrees; expected to hold an absolute path. Defaults to the local archive directory when not set.

SEE ALSO
archive-nihocc(1), archive-nlmnlp(1), archive-pids(1), archive-pmc(1), archive-pubmed(1), archive-taxonomy(1), nquire(1), pm-clean(1), pm-prepare(1), pm-setup(1), rchive(1), xfetch(1), xfilter(1), xinfo(1), xlink(1), xsearch(1). xtract(1).